# norootforbuild

BuildRequires:  python-devel
BuildRequires:  subversion-python >= 1.4.4
BuildRequires:  bzr >= 1.4
Name:           bzr-svn
Version:        0.4.10
Release:        6.3
Source0:        %{name}-%{version}.tar.bz2
License:        GPLv3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Dummy
Summary:        A bzr plugin to interface with subversion repositories
URL:            http://bazaar-vcs.org/BzrForeignBranches/Subversion
Requires:       bzr >= 1.4
Requires:       bzr-rebase
Requires:       subversion-python >= 1.4.4

%description
A bzr plugin to interface with subversion repositories

%prep
%setup

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS FAQ NEWS README TODO
%if %suse_version > 1010
%{py_sitedir}/*.egg-info
%endif
%{py_sitedir}/bzrlib/plugins/svn

%changelog
* Sun May 18 2008 maw@suse.de
- Update to version 0.4.10:
  + CHANGES:
  * Changed license from GPLv2 or later to GPLv3 or later
  + FEATURES:
  * Add new ``log-strip-trailing-newline'' option which removes
    the last trailing newline from the log message when pushing
    to Subversion; this feature is only available for the
    experimental mappings
  * Allow more granularity over what properties are overridden
    using ``override-svn-revprops''
  * Add new ``append-revisions-only'' option with similar
    behaviour as in standard bzr formats
  * Parse mergeWithUpstream set by svn-buildpackage
  * Cache last revision number during read locks, significantly
    speeds up push
  * Use different cache for experimental versions of bzr-svn
  * Support set_user_option() on Subversion branch BranchConfig
  * Support credentials in URLs
  * Allow usage without on-disk cache; this option is still
    experimental
  + PERFORMANCE:
  * No longer calculate inventory SHA1s for svn revisions;
    should provide some minor speed improvements
  * Don't check full branch history when looking up the revno
    of a revision id
  * Restrict history sample size used for guessing branching
    scheme to avoid looking at the full history for very large
    repositories
  * New option ``reuse-revisions'' that determines how hard
    bzr-svn will try to reuse revisions when pushing into
    Subversion
  + INTERNALS:
  * Branching from a Subversion repository will now fetch
    right-hand side parents as well as left hand side
    (mainline) parents, if specified
  * Removed revision number cache
  * Switch to using "repository layouts" rather than
    branching schemes; layouts are not part of the mapping
    so don't affect the revision identity
  + BUGS:
  * Avoid sometimes incorrect determination of Bazaar revision
    numbers
  * Deal with bzr:svn-revision-info property being removed
  * Gracefully handle erroneous svk merge tickets created by
    old versions of svk
  * Use standard infrastructure for caching revision numbers
  * Work around bug in the Subversion libraries which don't
    accept http(s) URLs with urlencoded characters
  * Make sure committer name is UTF-8 encoded when overriding
    revision properties
  * Fix installation of mapping3 package, don't rely on
    specific version of Python.
* Mon Mar 24 2008 maw@suse.de
- Update to version 0.4.9, a minor release which fixes
  compatibility with bzr 1.3 and includes several minor new
  features and bugfixes; 0.4.8 was released but not pubically
  announced and the changes that were included therein have been
  incorporated into the list below:
  + FEATURES
  * Add progress bar to fetch initialization code
  * Add another progress bar to the branch detection code
  * Add -d option to the svn-push command
  * Set revision properties when possible
  * Avoid doing two branch property lookups when getting
    revision metadata
  * Use caching revision graph
  * --prefix is now determined from the specified url
    in svn-import
  * Support storing revision signatures
  * Re-use file properties on branch root more efficiently;
    this made the cache of branch properties unnecessary
  * Avoid using copy in several places
  + BUGS
  * Don't provide find_repository() implementation
  * Allow specifying path inside repository in
    svn-branching-scheme
  * Support using platform-specific auth providers when
    available
  * Fix path to URL conversion for Windows NT
  * Fix performance regression in sqlite queries
  * Be a bit quieter with messages about experimental
    mappings
  * More correct implementation of Repository.get_ancestry()
  * Properly use current branching scheme when following
    branches
  * Avoid using special characters in branching scheme names
    because it breaks over http/https
  + INTERNALS
  * Allow multiple mappings to be available at the same time
  + DOCUMENTATION
  * Add note about svn+ prefix to authentication question.
* Thu Jan 31 2008 maw@suse.de
- Update to version 0.4.7 (bug numbers are against launchpad):
  +  FEATURES
  * Implement Repository.find_branches(). (#178108)
  * Warn about location when initializing Subversion repository
    cache.
  + BUGS
  * Fix opening unicode file names during fetch. (#162368)
  * Consistently handle unicode characters. (#129334, #164381)
  * Handle unicode strings appropriately when reading working
    tree inventory. (#183853)
  * Fix too strict indexing in old existing cache databases.
    (#165136)
  * Handle children of replaced directories, themselve replaced
    correctly. (#181790)
  * Handle corner cases tracking branches. (#184457)
  * Avoid errors about invalid branching paths unless the
    branching scheme was specified explicitly.
  * Change default format to rich-root-pack. (#187008)
  * Fix handling of weird file change after replacing from other
    branch.  (#186876)
* Tue Jan  8 2008 maw@suse.de
- Fix build on older distros.
* Tue Jan  8 2008 maw@suse.de
- Update to version 0.4.6 (bug numbers are against launchpad):
  + PERFORMANCE
  * Remember where revids have already been detected. Makes
    incremental push a lot faster, in particular in Subversion
    repositories with a lot of branches (#139364)
  * Work around memory leak in the Python Subversion bindings
    of svn.ra.get_log()
  + FEATURES
  * Support retrieving credentials from Bazaar rather than
    relying on Subversions' cache (#120768)
  + INTERNALS
  * Added pydoctor configuration file
  + BUG FIXES
  * Fix compatibility with Bazaar 1.1
  * Improved compatibility with Subversion 1.5
  * Actually set symlink target when pushing commits that
    add or change symlinks (#177890)
  * Don't mask exception in fetch code (#165177)
  * Deal with kind changes that don't change file contents
    (#178149).
* Tue Dec 18 2007 maw@suse.de
- Require bzr >= 1.0
- Require bzr-rebase.
* Mon Dec 10 2007 maw@suse.de
- Require bzr > 0.92.
* Sat Dec  1 2007 maw@suse.de
- Revert to version 0.4.5, which works with bzr 1.0rc1.
* Fri Nov 30 2007 maw@suse.de
- Require subversion-python >= 1.4.4.
* Fri Nov 30 2007 maw@suse.de
- Update to 0.5.0.dev.0.r633.
* Thu Nov 29 2007 maw@suse.de
- Require python-subversion instead of subversion-python (which is
  what it's named in Debian-derived distros).
* Tue Nov 13 2007 maw@suse.de
- Update to version 0.4.5.dev.0
- Require bzr >= 0.92.
* Fri Oct 26 2007 maw@suse.de
- Depend on bzr > 0.91
- Require a new version of svn for now -- effectively make this
  package uninstallable.
* Thu Oct 25 2007 maw@suse.de
- Require subversion-python
* Thu Oct 25 2007 maw@suse.de
- Include some documentation.
* Thu Oct 25 2007 maw@suse.de
- Initial package.
